### Method

# Gck Attribute init_copy

#### Declaration [src]

    void
    gck_attribute_init_copy (
      GckAttribute* dest,
      const GckAttribute* src
    )

#### Description [src]

Initialize a PKCS#11 attribute as a copy of another attribute. This copies the value memory as well.

When done with the copied attribute you should use `gck_attribute_clear()` to free the internal memory.

#### Parameters

`src`

  Type: `GckAttribute`

  An attribute to copy.

  The data is owned by the caller of the method.